@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('assignment::assignment.name') !!} <small> {!! trans('app.manage') !!} {!! trans('assignment::assignment.names') !!}</small>
@stop

@section('title')
{!! trans('assignment::assignment.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('assignment::assignment.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='assignment-assignment-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="assignment-assignment-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('assignment::assignment.label.standard_id')!!}</th>
                    <th>{!! trans('assignment::assignment.label.subject_id')!!}</th>
                    <th>{!! trans('assignment::assignment.label.title')!!}</th>
                    <th>{!! trans('assignment::assignment.label.submitted_on')!!}</th>
                    <th>{!! trans('assignment::assignment.label.created_at')!!}</th>
                    <th>{!! trans('assignment::assignment.label.status')!!}</th>
                    <th>{!! trans('assignment::assignment.label.created_at')!!}</th>
                    <th>{!! trans('assignment::assignment.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[standard_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[subject_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[title]')->raw()!!}</th>
                    <th>{!! Form::text('search[submitted_on]')->raw()!!}</th>
                    <th>{!! Form::text('search[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#assignment-assignment-entry', '{!!trans_url('admin/assignment/assignment/0')!!}');
    oTable = $('#assignment-assignment-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/assignment/assignment') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#assignment-assignment-list .search_bar input, #assignment-assignment-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'standard_id'},
                    {data :'subject_id'},
                    {data :'title'},
                        {data :'submitted_on'},
                    {data :'created_at'},
                        {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#assignment-assignment-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#assignment-assignment-list').DataTable().row( this ).data();

        $('#assignment-assignment-entry').load('{!!trans_url('admin/assignment/assignment')!!}' + '/' + d.id);
    });

    $("#assignment-assignment-list .search_bar input, #assignment-assignment-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

