<?php

namespace Asadi\Assignment;

use User;

class Assignment
{
    /**
     * $assignment object.
     */
    protected $assignment;

    /**
     * Constructor.
     */
    public function __construct(\Asadi\Assignment\Interfaces\AssignmentRepositoryInterface $assignment)
    {
        $this->assignment = $assignment;
    }

    /**
     * Returns count of assignment.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.assignment.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->assignment->pushCriteria(new \Litepie\Asadi\Repositories\Criteria\AssignmentUserCriteria());
        }

        $assignment = $this->assignment->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('assignment::' . $view, compact('assignment'))->render();
    }
}
