<?php

namespace Asadi\Assignment\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Assignment\Interfaces\AssignmentRepositoryInterface;

class AssignmentPublicController extends BaseController
{
    // use AssignmentWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Assignment\Interfaces\AssignmentRepositoryInterface $assignment
     *
     * @return type
     */
    public function __construct(AssignmentRepositoryInterface $assignment)
    {
        $this->repository = $assignment;
        parent::__construct();
    }

    /**
     * Show assignment's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $assignments = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('assignment::public.assignment.index', compact('assignments'))->render();
    }

    /**
     * Show assignment.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $assignment = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('assignment::public.assignment.show', compact('assignment'))->render();
    }

}
