<?php

namespace Asadi\Assignment\Workflow;

use Asadi\Assignment\Models\Assignment;
use Asadi\Assignment\Notifications\Assignment as AssignmentNotifyer;
use Notification;

class AssignmentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Assignment $assignment
     *
     * @return void
     */
    public function complete(Assignment $assignment)
    {
        return Notification::send($assignment->user, new AssignmentNotifyer($assignment, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Assignment $assignment
     *
     * @return void
     */
    public function verify(Assignment $assignment)
    {
        return Notification::send($assignment->user, new AssignmentNotifyer($assignment, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Assignment $assignment
     *
     * @return void
     */
    public function approve(Assignment $assignment)
    {
        return Notification::send($assignment->user, new AssignmentNotifyer($assignment, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Assignment $assignment
     *
     * @return void
     */
    public function publish(Assignment $assignment)
    {
        return Notification::send($assignment->user, new AssignmentNotifyer($assignment, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Assignment $assignment
     *
     * @return void
     */
    public function archive(Assignment $assignment)
    {
        return Notification::send($assignment->user, new AssignmentNotifyer($assignment, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Assignment $assignment
     *
     * @return void
     */
    public function unpublish(Assignment $assignment)
    {
        return Notification::send($assignment->user, new AssignmentNotifyer($assignment, 'unpublish'));;

    }
}
